import QtQuick 1.1
import com.nokia.meego 1.0

// Trying out the new BusyIndicator custom item]
Item {
    id : container
    z: 100
    visible: false
    // Trying out the new BusyIndicator custom item
    BusyIndicator
    {
        id: busyIndicator
        width: 100
        height: 100
        anchors.centerIn: parent
        platformStyle: BusyIndicatorStyle { size: "large"; inverted: false }
        running:  true
    }

    /**
      * Loading
      */
    function open(){
        console.debug("start loading ........") ;
        container.visible = true ;

    }

    /**
      * Finish load
      */
    function close(){
        console.debug("end loading ........") ;
        container.visible = false ;
    }
}
