import QtQuick 1.0

Rectangle {
    id: rect_1
    color: "#FFFFD5"
    border{color:"#A1A1A1"; width: 1}
    anchors{horizontalCenter: parent.horizontalCenter; top: parent.top; topMargin: 2}
    height: rect_2.height + item_1.height
    visible: false
    Rectangle {
        id: rect_2
        color: "#FFFFD5"
        border{color:"#A1A1A1"; width: 1}
        width: parent.width - 4; height: rect_3.height + item_2.height
        visible: false
        anchors{horizontalCenter: parent.horizontalCenter; top: parent.top; topMargin: 2}
        Rectangle {
            id: rect_3
            color: "#FFFFD5"
            border{color:"#A1A1A1"; width: 1}
            width: parent.width - 4; height: rect_4.height + item_3.height
            visible: false
            anchors{horizontalCenter: parent.horizontalCenter; top: parent.top; topMargin: 2}
            Rectangle {
                id: rect_4
                color: "#FFFFD5"
                border{color:"#A1A1A1"; width: 1}
                width: parent.width - 4; height: item_4.height + rect_5.height
                visible: false
                anchors{horizontalCenter: parent.horizontalCenter; top: parent.top; topMargin: 2}
                Rectangle {
                    id: rect_5
                    color: "#FFFFD5"
                    visible: false
                    border{color:"#A1A1A1"; width: 1}
                    width: parent.width - 4; height: item_5.height
                    anchors{horizontalCenter: parent.horizontalCenter; top: parent.top; topMargin: 2}
                    Item{
                        id: item_5
                        width: parent.width - 4
                        anchors{horizontalCenter: parent.horizontalCenter}
                        visible: false
                    }
                }
                Item{
                    id: item_4
                    width: parent.width - 4
                    anchors{horizontalCenter: parent.horizontalCenter; top: rect_5.bottom}
                    visible: false
                }
            }
            Item{
                id: item_3
                width: parent.width - 4
                anchors{horizontalCenter: parent.horizontalCenter; top: rect_4.bottom}
                visible: false
            }
        }
        Item{
            id: item_2
            width: parent.width - 4
            anchors{horizontalCenter: parent.horizontalCenter; top: rect_3.bottom}
            visible: false
        }
    }

    Item{
        id: item_1
        width: parent.width - 4
        anchors{horizontalCenter: parent.horizontalCenter; top: rect_2.bottom}
        visible: false
    }

    function setBack(index, height){
        if(index < 1){
            setItem1Height(height);
//            item_1.height = height + 4;
//            item_1.visible = true;
//            rect_1.visible = true;
        }else if(index < 2){
            setItem2Height(item_1.height);
            setItem1Height(height);
//            item_2.height = item_1.height;
//            item_2.visible = true;
//            rect_2.visible = true;
//            item_1.height = height + 4;
//            item_1.visible = true;
//            rect_1.visible = true;
        }else if(index < 3){
//            item_3.height = item_2.height;
//            item_3.visible = true;
//            rect_3.visible = true;
            setItem3Height(item_2.height);
            setItem2Height(item_1.height);
            setItem1Height(height);
//            item_2.height = item_1.height;
//            item_2.visible = true;
//            rect_2.visible = true;
//            item_1.height = height + 4;
//            item_1.visible = true;
//            rect_1.visible = true;
        }else if(index < 4){
            setItem4Height(item_3.height);
            setItem3Height(item_2.height);
            setItem2Height(item_1.height);
            setItem1Height(height);
        }else if(index < 5){
            setItem5Height(item_4.height);
            setItem4Height(item_3.height);
            setItem3Height(item_2.height);
            setItem2Height(item_1.height);
            setItem1Height(height);
        }else{
            setNormalHeight(item_4.height);
            setItem4Height(item_3.height);
            setItem3Height(item_2.height);
            setItem2Height(item_1.height);
            setItem1Height(height);
        }

    }

    function setNormalHeight(height){
        item_5.height += height;
    }

    function setItem5Height(height){
        item_5.height = height;
        item_5.visible = true;
        rect_5.visible = true;
    }

    function setItem4Height(height){
        item_4.height = height;
        item_4.visible = true;
        rect_4.visible = true;
    }

    function setItem3Height(height){
        item_3.height = height;
        item_3.visible = true;
        rect_3.visible = true;
    }

    function setItem2Height(height){
        item_2.height = height;
        item_2.visible = true;
        rect_2.visible = true;
    }

    function setItem1Height(height){
        item_1.height = height;
        item_1.visible = true;
        rect_1.visible = true;
    }

}
