// 服务器获取数据
function getStringByUrl(type, url, callback){
    console.log("get String by url:"+url);
    var doc = new XMLHttpRequest();
    doc.onreadystatechange = function() {
        console.log("request state:"+doc.readyState);
        if (doc.readyState == XMLHttpRequest.DONE) {
            console.log("request status:"+doc.status);
            if (doc.status == 200) {
                console.log("getXmlStringByUrl call back:"+doc.responseText);
                callback(doc.responseText);
            }
        }
    }
    doc.open(type, url, true);
    doc.send();
}

var content_word = 18;

function createMyObjects(pagePath, parentComponent, currentIndex, callback) {
    var component = Qt.createComponent(pagePath);
    if (component.status == Component.Ready)
    {
        if (component.status == Component.Ready) {
            var myBubble = component.createObject(parentComponent);
            if (myBubble === null) {
                console.log("component createObject failed");
            } else {
                callback(myBubble, parentComponent, currentIndex);
                return myBubble;
            }
        }else if (component.status == Component.Error) {
            console.log("Error loading component:", component.errorString());
        }
    }
    else if (component.status == Component.Error)
    {
        console.log("component Error:", component.errorString());
    }
}

function getDate(time){
    var now = new Date();
    var d = Date.parse(time.replace(new RegExp("-","gm"),"/"));;
    var c = parseInt((now.getTime() - d) / 1000);
    console.log("time:"+time+"; c:"+c);
    if(c < 60){
        return "刚刚";
    }else if(c < 3600){
        return parseInt(c / 60) + "分钟前"
    }else if(c < 86400){
        return parseInt(c / 3600) + "小时前"
    }else{
        return time;
    }
}

function isEmail(strEmail) {
    if (strEmail.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1)
    return true;
    else
    return false;
}

function countProgress(total, current){
    console.debug("total:"+total+";current:"+current);
    return parseInt(current / total * 100);
}

function subString(str, num){
    if(str.length > num){
        return str.substring(0, num - 2) + "...";
    }
    return str;
}

function getImg(src, height, width){
    console.debug("http://s.cimg.163.com/i/"+src.replace(new RegExp("http://","gm"),"")+"."+height+"x"+width+".auto.jpg");
    return "http://s.cimg.163.com/i/"+src.replace(new RegExp("http://","gm"),"")+"."+width+"x"+height+".auto.jpg";
}
