import QtQuick 1.0

Item {
    id: root

    property alias count: row_repert.model
    property int currentIndex: 0

    height: 20
    z:10
    Row {
        anchors.centerIn: parent
        spacing: 10
        Repeater {
            id: row_repert

            delegate: Rectangle {
                width: 20; height: 20
                color: "transparent"
                Image{
                    source: "../images/vote_pager_circle_gray.png"
                    anchors.centerIn: parent
                    visible: index === 0 && root.currentIndex !== index
                }Image{
                    source: "../images/vote_pager_circle.png"
                    anchors.centerIn: parent
                    visible: index === 0 && root.currentIndex === index
                }
                Image{
                    source: "../images/vote_pager_dot.png"
                    anchors.centerIn: parent
                    visible: index > 0 && root.currentIndex !== index
                }
                Image{
                    source: "../images/vote_pager_dot_red.png"
                    anchors.centerIn: parent
                    visible: index > 0 && root.currentIndex === index
                }
            }
        }
    }

    function setCurrent(index){
        root.currentIndex = index;
    }
}
