import QtQuick 1.1
import com.nokia.meego 1.0
import "Const.js" as Const

Rectangle {
    id: container

    width: 480
    height: 88
    color: "transparent"
    z: 10

    property alias name: topText.text

    signal clicked

//    BorderImage {
//        id: titlebar_back
//        smooth: true
////        horizontalTileMode: BorderImage.Repeat
//        source: "images/top_navigation_background.png"
//        width: container.width; height: container.height
//    }

    gradient: Gradient {
        GradientStop { position: 0.0; color: "#9C0000" }
        GradientStop { position: 1; color: "#660202" }
    }
    Item{
        id: titleName
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        width: 160; height: 88

        Text{
            id: topText
            anchors.centerIn: parent
            anchors.verticalCenter: parent.verticalCenter
            color: "white"
            font.pointSize: Const.FontSize.title
//            font.bold: true
        }
    }

    Rectangle{
        width: parent.width / 2; height: parent.height / 2
        color: Const.Color.rectTrans
        anchors{top: parent.top; horizontalCenter: parent.horizontalCenter}
        MouseArea{
            anchors.fill: parent
            onClicked: container.clicked();
        }
    }
}
