import QtQuick 1.0
import "Const.js" as Const
import "RunMemory.js" as MemoryUtil

Rectangle {
    id: root

    height: 50

    property string boardId
    property string pId

    Text{
        id: author_text
        color: Const.Color.author
        width: parent.width - 36; height: parent.height - 10
        anchors.centerIn: parent
        font{pointSize: 18}

        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter

        text: "隐藏楼层"

        elide: Text.ElideRight
    }

//    MouseArea{
//        id: mousrArea
//        anchors.fill: parent

//        onClicked: {
//            console.debug("open whole floor");

//        }
//    }

    function setParent(boardid, pid){
        root.pId = pid;
        root.boardId = boardid;
    }
}
