import QtQuick 1.0

Item {
    id:menuButton
//    width: 440
    height: text_rect.height + 40
    property alias itemText: item_text.text
//    color: "transparent"

    Column{
        anchors.fill: parent

        Image{
            id: roof_img
            width: menuButton.width; height: 14
            smooth: true
            source: "../images/cola_roof.png"
        }

        Image {
            id: middle_img
            width: menuButton.width; height: parent.height - roof_img.height - floor_img.height
            smooth: true
            source: "../images/cola_expand.png"
        }
        Image{
            id: floor_img
            width: menuButton.width; height: 18
            smooth: true
            source: "../images/cola_floor.png"
        }
    }

    Item{
        id: text_rect
        width: parent.width - 30 ; height: item_text.height
        anchors{centerIn: parent}

        Text {
            id: item_text
            font{pointSize: 18; wordSpacing: 2}
            wrapMode: Text.Wrap
            width: parent.width
            textFormat: Text.RichText

            color: "#2C2C2C"
        }
    }
}
