import QtQuick 1.0

Item {
    id: root
    property alias selected: select_back.visible
    property string tabsource: ""
    signal clicked

    Rectangle{
        id: select_back
        anchors.fill: parent
        visible: root.selected
        color: "black"

        Image {
            anchors{left: parent.left; bottom: parent.bottom}
            width: 96; height: 37
            smooth: true
            fillMode: Image.PreserveAspectFit
            source: "images/toolbar/tab-arrow.png"
        }
    }

    Image {
        id: img_1
        anchors.centerIn: parent
        smooth: true
        width: 96; height: 66
        fillMode: Image.PreserveAspectFit
        source: root.tabsource
    }

    MouseArea{
        anchors.fill: parent
        onClicked: {
            root.clicked();
        }
    }
}
