import QtQuick 1.1
import com.nokia.meego 1.0

Item{

    id: container

    signal sumbited
    property alias text: reply_text.text

    signal closed

    visible: false
    z: 100
    MouseArea{
        id: mouseArea
        anchors.fill: parent

        onClicked: {
            container.close();
            container.closed();
        }

    }

    Item{
//        color: "black"
        anchors{bottom: parent.bottom; left: parent.left}
        width: parent.width; height: 70

        Image {
            id: back
            source: "images/reply_back.png"
            width: parent.width; height: parent.height
            anchors.fill: parent
        }

        TextField{
            id: reply_text
            height: parent.height - 15
            anchors{left: parent.left; leftMargin: 5; right: sumbit_btn.left; rightMargin: 5; verticalCenter: parent.verticalCenter}
        }

        Item {
            id: sumbit_btn
            width: 120; height: parent.height
            anchors{right: parent.right; bottom: parent.bottom}

            Image{
                anchors.centerIn: parent
                source: "images/toolbar_compose_submit.png"
            }

            MouseArea{
                anchors.fill: parent
                onClicked: {
                    container.sumbited();
                }

            }
        }
    }

    function initReply(){
        reply_text.text = "";
    }

    function close(){
        container.visible = false;
        initReply();
    }

    function open(){
        reply_text.forceActiveFocus();
        container.visible = true;
    }

    function finish(){
        container.visible = false;
    }
}
