import QtQuick 1.1
import "Const.js" as Const


Rectangle{
    id: container
    width: 324; height: 216
    color: Const.Color.rectTrans

    signal favorated
    signal guided
    signal abouted
    signal settinged
    signal editColumned

    BorderImage{
        anchors.fill: parent
        source: "images/info_popover_background.png" // 324 * 216
    }

    Item{
        id: row_1
        width: parent.width - 16; height: (container.height - 30) / 2
        anchors{top: parent.top; topMargin: 20; left: parent.left; leftMargin: 8}
        Row{
            anchors.fill: parent

            Rectangle{//我的收藏
                color: Const.Color.rectTrans
                width: row_1.width / 2; height: row_1.height

                PressArea{
                    id: favorate_area
                    anchors.fill: parent

                    onClicked: {
    //                        mainPage.pageStack.push(Qt.resolvedUrl("FavoratePage.qml"));
                        container.favorated();
                    }
                }
            }
            Rectangle{//新手引导
                    color: Const.Color.rectTrans
                    width: row_1.width / 2; height: row_1.height
                    PressArea{
                        id: guide_area
                        anchors.fill: parent

                        onClicked: {
    //                        mainPage.pageStack.push(Qt.resolvedUrl("FavoratePage.qml"));
                            container.guided();
                        }
                    }

                }
        }

    }

    Item{
        id: row_2
        width: row_1.width; height: row_1.height
        anchors{left: row_1.left; top: row_1.bottom}
        Row{
            anchors.fill: parent
            Rectangle{//关于
                color: Const.Color.rectTrans
                width: row_2.width / 3; height: row_2.height
                PressArea{
                    id: about_area
                    anchors.fill: parent

                    onClicked: {
    //                        mainPage.pageStack.push(Qt.resolvedUrl("AboutPage.qml"));
                        container.abouted();
                    }
                }

            }
            Rectangle{//设置
                color: Const.Color.rectTrans
                width: row_2.width / 3; height: row_2.height
                PressArea{
                    id: setting_area
                    anchors.fill: parent

                    onClicked: {
    //                        mainPage.pageStack.push(Qt.resolvedUrl("SettingPage.qml"));
                        container.settinged();
                    }
                }

            }
            Rectangle{//编辑栏目
                color: Const.Color.rectTrans
                width: row_2.width / 3; height: row_2.height
                PressArea{
                    id: edit_area
                    anchors.fill: parent

                    onClicked: {
    //                        mainPage.pageStack.push(Qt.resolvedUrl("SettingPage.qml"));
                        container.editColumned();
                    }
                }

            }
        }



    }

}
